Help coderanch get a
new server
by contributing to the fundraiser
  • Post Reply Bookmark Topic Watch Topic
  • New Topic
programming forums Java Mobile Certification Databases Caching Books Engineering Micro Controllers OS Languages Paradigms IDEs Build Tools Frameworks Application Servers Open Source This Site Careers Other Pie Elite all forums
this forum made possible by our volunteer staff, including ...
Marshals:
  • Campbell Ritchie
  • Jeanne Boyarsky
  • Ron McLeod
  • Paul Clapham
  • Liutauras Vilda
Sheriffs:
  • paul wheaton
  • Rob Spoor
  • Devaka Cooray
Saloon Keepers:
  • Stephan van Hulst
  • Tim Holloway
  • Carey Brown
  • Frits Walraven
  • Tim Moores
Bartenders:
  • Mikalai Zaikin

WSAD with 5.1 server

 
Ranch Hand
Posts: 110
  • Mark post as helpful
  • send pies
    Number of slices to send:
    Optional 'thank-you' note:
  • Quote
  • Report post to moderator
Hi friends,

I've a problem in accessing the server with in the WSAD enviornment.My call from the client reaches the servlet but i get an error in the doPost method of the servlet as shown below.Application is built using JDK1.5.Is that because the server uses JDK1.4 ???.In that case how would i make or configure the server to use JDK1.5 in WSAD enviornment.Thanks in advance

E SRVE0026E: [Servlet Error]-[java.lang.StringBuffer: method append(Ljava/lang/String;)Ljava/lang/AbstractStringBuilder; not found]: java.lang.NoSuchMethodError: java.lang.StringBuffer: method append(Ljava/lang/String Ljava/lang/AbstractStringBuilder; not found
 
Marshal
Posts: 28271
95
Eclipse IDE Firefox Browser MySQL Database
  • Mark post as helpful
  • send pies
    Number of slices to send:
    Optional 'thank-you' note:
  • Quote
  • Report post to moderator

Originally posted by Prashanth Bhanu:
Application is built using JDK1.5.Is that because the server uses JDK1.4 ???.In that case how would i make or configure the server to use JDK1.5 in WSAD enviornment.

Yes, that's correct. And Websphere is designed to run using IBM's 1.4 JRE. Do not even consider trying to make it use anything else! Instead you will have to recompile your classes using a 1.4 compiler.
 
Prashanth Bhanu
Ranch Hand
Posts: 110
  • Mark post as helpful
  • send pies
    Number of slices to send:
    Optional 'thank-you' note:
  • Quote
  • Report post to moderator
Hi Paul,

Thanks for replying.IBM should have given the way to use the latest JDK(i mean JRE) as it evolves at greater pace.Don't we have any work around to solve this problem???.
 
author and cow tipper
Posts: 5009
1
Hibernate Spring Tomcat Server
  • Mark post as helpful
  • send pies
    Number of slices to send:
    Optional 'thank-you' note:
  • Quote
  • Report post to moderator
Being consistent with their JVM and J2EE versions isn't a problem, unless you chose not to adhere to their specifications.

The J2EE development environment provided by IBM is quite an accomplishment, considering the number of platforms and hardware that it is compatible with. Why you'd want to destabilize the industries most scalable J2EE environment by switching in a new JVM beats me. Is using Enums in your code worth destabilizing a mission critical application?

Don't mean to be glib, but you really have to stick with the specs, and develop the best solution given the specified environment. There's really not much that you can't do with the J2EE environment provided by IBM.

Happy WebSphere!

-Cameron McKenzie
 
Prashanth Bhanu
Ranch Hand
Posts: 110
  • Mark post as helpful
  • send pies
    Number of slices to send:
    Optional 'thank-you' note:
  • Quote
  • Report post to moderator
Hi,

Well,I have a Client project which is being developed using JDK1.5 and server components is developed using JDK1.4(pure Java except for few few EJB's).
How do i have these projects imported to WSAD and start working on?.Further development of the client i'm intended to carry on with JDK1.5 and allowing the server to use the default JVM(i.e JRE 1.4).For me it looks fine .Can you contribute your openion on this please.

Thanks,
 
Grow your own food... or this tiny ad:
We need your help - Coderanch server fundraiser
https://coderanch.com/t/782867/Coderanch-server-fundraiser
reply
    Bookmark Topic Watch Topic
  • New Topic